<?php
/**
* The functions.php file of a child theme does not override its counterpart from the parent.
* Instead, it is loaded in addition to the parent’s functions.php
*
* @link https://codex.wordpress.org/Child_Themes
*
*/

// register and enqueue the stylesheet.
function register_child_theme_styles() {

	wp_enqueue_style( 'child-style',
		get_stylesheet_directory_uri() . '/style.css',
		wp_get_theme()->get('Version')
	);
}

add_action( 'wp_enqueue_scripts', 'register_child_theme_styles', 9999 );

/*
CHANGE SLUGS OF CUSTOM POST TYPES
*/

function change_post_types_slug( $args, $post_type ) {

	/*item post type slug*/   
	if ( 'car' === $post_type ) {
	   $args['rewrite']['slug'] = 'vehicle';
	}
 
	return $args;
 }
 add_filter( 'register_post_type_args', 'change_post_types_slug', 10, 2 );
 
 /*
 CHANGE SLUGS OF TAXONOMIES, slugs used for archive pages
 */
 
 function change_taxonomies_slug( $args, $taxonomy ) {
 
	/*item category*/
	if ( 'carproducer' === $taxonomy ) {
	   $args['rewrite']['slug'] = 'make';
	}
 
	return $args;
 }
 add_filter( 'register_taxonomy_args', 'change_taxonomies_slug', 10, 2 );