<?php if ( !defined('ABSPATH') ) exit;

function hexToHsl($hex) {
    $hex = array($hex[1].$hex[2], $hex[3].$hex[4], $hex[5].$hex[6]);
    $rgb = array_map(function($part) {
        return hexdec($part) / 255;
    }, $hex);

    $max = max($rgb);
    $min = min($rgb);

    $l = ($max + $min) / 2;

    if ($max == $min) {
        $h = $s = 0;
    } else {
        $diff = $max - $min;
        $s = $l > 0.5 ? $diff / (2 - $max - $min) : $diff / ($max + $min);

        switch($max) {
            case $rgb[0]:
                $h = ($rgb[1] - $rgb[2]) / $diff + ($rgb[1] < $rgb[2] ? 6 : 0);
                break;
            case $rgb[1]:
                $h = ($rgb[2] - $rgb[0]) / $diff + 2;
                break;
            case $rgb[2]:
                $h = ($rgb[0] - $rgb[1]) / $diff + 4;
                break;
        }

        $h /= 6;
    }

    $hsl = implode(', ', array(round($h*360), round($s*100) . '%', round($l*100) . '%'));

    return $hsl;
}

// Global Styles
$logo_font = TMM::get_option('logo_font');
$logo_text_color = TMM::get_option('logo_text_color');
$logo_font_size = TMM::get_option('logo_font_size');

$primary_theme_color = TMM::get_option('primary_theme_color');
$primary_theme_color_hsl = hexToHsl($primary_theme_color);
$secondary_theme_color = TMM::get_option('secondary_theme_color');

$general_font_family = TMM::get_option('general_font_family');
$general_font_size = TMM::get_option('general_font_size');
$general_text_color = TMM::get_option('general_text_color');
$general_normal_links_color = TMM::get_option('general_normal_links_color');
$general_mouseover_links_color = TMM::get_option('general_mouseover_links_color');

// Main Navigation
$main_nav_font = TMM::get_option('main_nav_font');
$main_nav_level_2_font = TMM::get_option('main_nav_level_2_font');

$main_nav_first_level_font_size = TMM::get_option('main_nav_first_level_font_size');
$main_nav_second_level_font_size = TMM::get_option('main_nav_second_level_font_size');

$main_nav_bg_top = TMM::get_option('main_nav_bg_top');
$main_nav_bg_sub = TMM::get_option('main_nav_bg_sub');

$main_nav_curr_item_bg_top_color = TMM::get_option('main_nav_curr_item_bg_top_color');
$main_nav_dd_curr_item_bg_top_color = TMM::get_option('main_nav_dd_curr_item_bg_top_color');

$main_nav_def_text_color = TMM::get_option('main_nav_def_text_color');
$main_nav_curr_text_color = TMM::get_option('main_nav_curr_text_color');
$main_nav_hover_text_color = TMM::get_option('main_nav_hover_text_color');

$main_nav_dd_def_text_color = TMM::get_option('main_nav_dd_def_text_color');
$main_nav_dd_curr_text_color = TMM::get_option('main_nav_dd_curr_text_color');
$main_nav_dd_hover_text_color = TMM::get_option('main_nav_dd_hover_text_color');

// Headings
$h1_font_family = TMM::get_option('h1_font_family');
$h1_font_size = TMM::get_option('h1_font_size');
$h1_font_color = TMM::get_option('h1_font_color');
$h1_normal_link_color = TMM::get_option('h1_normal_link_color');
$h1_mouseover_link_color = TMM::get_option('h1_mouseover_link_color');

$h2_font_family = TMM::get_option('h2_font_family');
$h2_font_size = TMM::get_option('h2_font_size');
$h2_font_color = TMM::get_option('h2_font_color');
$h2_normal_link_color = TMM::get_option('h2_normal_link_color');
$h2_mouseover_link_color = TMM::get_option('h2_mouseover_link_color');

$h3_font_family = TMM::get_option('h3_font_family');
$h3_font_size = TMM::get_option('h3_font_size');
$h3_font_color = TMM::get_option('h3_font_color');
$h3_normal_link_color = TMM::get_option('h3_normal_link_color');
$h3_mouseover_link_color = TMM::get_option('h3_mouseover_link_color');

$h4_font_family = TMM::get_option('h4_font_family');
$h4_font_size = TMM::get_option('h4_font_size');
$h4_font_color = TMM::get_option('h4_font_color');
$h4_normal_link_color = TMM::get_option('h4_normal_link_color');
$h4_mouseover_link_color = TMM::get_option('h4_mouseover_link_color');

$h5_font_family = TMM::get_option('h5_font_family');
$h5_font_size = TMM::get_option('h5_font_size');
$h5_font_color = TMM::get_option('h5_font_color');
$h5_normal_link_color = TMM::get_option('h5_normal_link_color');
$h5_mouseover_link_color = TMM::get_option('h5_mouseover_link_color');

$h6_font_family = TMM::get_option('h6_font_family');
$h6_font_size = TMM::get_option('h6_font_size');
$h6_font_color = TMM::get_option('h6_font_color');
$h6_normal_link_color = TMM::get_option('h6_normal_link_color');
$h6_mouseover_link_color = TMM::get_option('h6_mouseover_link_color');

// footer
$footer_bg = TMM::get_option('footer_bg');
$footer_title_color = TMM::get_option('footer_title_color');
$footer_text_color = TMM::get_option('footer_text_color');
$footer_link_color = TMM::get_option('footer_link_color');
$footer_link_hover_color = TMM::get_option('footer_link_hover_color');
$footer_brd_size = TMM::get_option('footer_brd_size');
$footer_brd_color = TMM::get_option('footer_brd_color');
?>

// 00. General Theme Colors
$primary-theme-color				: <?php echo !empty($primary_theme_color) ? esc_attr( $primary_theme_color ) : '#ff600a' ?>;
$primary-theme-color-hsl			: <?php echo !empty($primary_theme_color_hsl) ? esc_attr( $primary_theme_color_hsl ) : '21, 100%, 52%' ?>;
$secondary-theme-color				: <?php echo !empty($secondary_theme_color) ? esc_attr( $secondary_theme_color ) : '#7b7b7b' ?>;

$primary-title-font-family          : '<?php echo !empty($general_title_font_family) ? esc_attr( $general_title_font_family ) : 'Roboto Condensed' ?>', sans-serif;
$primary-content-font-family        : '<?php echo !empty($general_font_family) ? esc_attr( $general_font_family ) : 'Open Sans' ?>', sans-serif;

$color-white			            : #ffffff;
$color-black			            : #000000;
$color-gray	                		: #cccccc;
$color-light-gray	                : #f4f4f4;
$color-dark-gray	                : #232527;

$color-green						: #36a753;
$color-blue							: #3b7ef1;
$color-yellow						: #ffcf00;
$color-red							: #e73f37;

$site-background-color				: $color-white;

// 01. Typography
$general-font-size					: <?php echo !empty($general_font_size) ? esc_attr( $general_font_size ) : '14' ?>px;
$general-font-family				: $primary-content-font-family;
$general-font-color					: <?php echo !empty($general_text_color) ? esc_attr( $general_text_color ) : '#7d7d7d' ?>;
$general-font-color-link			: <?php echo !empty($general_normal_links_color) ? esc_attr( $general_normal_links_color ) : '$primary-theme-color' ?>;
$general-font-color-hover			: <?php echo !empty($general_mouseover_links_color) ? esc_attr( $general_mouseover_links_color ) : '#7d7d7d' ?>;

$paragraph-font-size				: $general-font-size;
$paragraph-offset-bottom			: 1.5em;
$paragraph-lineheight				: 1.6em;

$h1-font-size						: <?php echo !empty($h1_font_size) ? esc_attr( $h1_font_size ) : '35' ?>px;
$h1-font-weight						: 400;
$h1-font-family						: '<?php echo !empty($h1_font_family) ? esc_attr( $h1_font_family ) : 'Roboto Condensed' ?>', sans-serif;
$h1-font-color						: <?php echo !empty($h1_font_color) ? esc_attr( $h1_font_color ) : '#232527' ?>;
$h1-font-color-link					: <?php echo !empty($h1_normal_link_color) ? esc_attr( $h1_normal_link_color ) : '$primary-theme-color' ?>;
$h1-font-color-hover				: <?php echo !empty($h1_mouseover_link_color) ? esc_attr( $h1_mouseover_link_color ) : '#7d7d7d' ?>;

$h2-font-size						: <?php echo !empty($h2_font_size) ? esc_attr( $h2_font_size ) : '30' ?>px;
$h2-font-weight						: 400;
$h2-font-family						: '<?php echo !empty($h2_font_family) ? esc_attr( $h2_font_family ) : 'Roboto Condensed' ?>', sans-serif;
$h2-font-color						: <?php echo !empty($h2_font_color) ? esc_attr( $h2_font_color ) : '#232527' ?>;
$h2-font-color-link					: <?php echo !empty($h2_normal_link_color) ? esc_attr( $h2_normal_link_color ) : '$primary-theme-color' ?>;
$h2-font-color-hover				: <?php echo !empty($h2_mouseover_link_color) ? esc_attr( $h2_mouseover_link_color ) : '#7d7d7d' ?>;

$h3-font-size						: <?php echo !empty($h3_font_size) ? esc_attr( $h3_font_size ) : '22' ?>px;
$h3-font-weight						: 400;
$h3-font-family						: '<?php echo !empty($h3_font_family) ? esc_attr( $h3_font_family ) : 'Roboto Condensed' ?>', sans-serif;
$h3-font-color						: <?php echo !empty($h3_font_color) ? esc_attr( $h3_font_color ) : '#7f858c' ?>;
$h3-font-color-link					: <?php echo !empty($h3_normal_link_color) ? esc_attr( $h3_normal_link_color ) : '$primary-theme-color' ?>;
$h3-font-color-hover				: <?php echo !empty($h3_mouseover_link_color) ? esc_attr( $h3_mouseover_link_color ) : '#7d7d7d' ?>;

$h4-font-size						: <?php echo !empty($h4_font_size) ? esc_attr( $h4_font_size ) : '18' ?>px;
$h4-font-weight						: 400;
$h4-font-family						: '<?php echo !empty($h4_font_family) ? esc_attr( $h4_font_family ) : 'Roboto Condensed' ?>', sans-serif;
$h4-font-color						: <?php echo !empty($h4_font_color) ? esc_attr( $h4_font_color ) : '#232527' ?>;
$h4-font-color-link					: <?php echo !empty($h4_normal_link_color) ? esc_attr( $h4_normal_link_color ) : '$primary-theme-color' ?>;
$h4-font-color-hover				: <?php echo !empty($h4_mouseover_link_color) ? esc_attr( $h4_mouseover_link_color ) : '#7d7d7d' ?>;

$h5-font-size						: <?php echo !empty($h5_font_size) ? esc_attr( $h5_font_size ) : '16' ?>px;
$h5-font-weight						: 400;
$h5-font-family						: '<?php echo !empty($h5_font_family) ? esc_attr( $h5_font_family ) : 'Roboto Condensed' ?>', sans-serif;
$h5-font-color						: <?php echo !empty($h5_font_color) ? esc_attr( $h5_font_color ) : '#232527' ?>;
$h5-font-color-link					: <?php echo !empty($h5_normal_link_color) ? esc_attr( $h5_normal_link_color ) : '$primary-theme-color' ?>;
$h5-font-color-hover				: <?php echo !empty($h5_mouseover_link_color) ? esc_attr( $h5_mouseover_link_color ) : '#7d7d7d' ?>;

$h6-font-size						: <?php echo !empty($h6_font_size) ? esc_attr( $h6_font_size ) : '14' ?>px;
$h6-font-weight						: 400;
$h6-font-family						: '<?php echo !empty($h6_font_family) ? esc_attr( $h6_font_family ) : 'Roboto Condensed' ?>', sans-serif;
$h6-font-color						: <?php echo !empty($h6_font_color) ? esc_attr( $h6_font_color ) : '#232527' ?>;
$h6-font-color-link					: <?php echo !empty($h6_normal_link_color) ? esc_attr( $h6_normal_link_color ) : '$primary-theme-color' ?>;
$h6-font-color-hover				: <?php echo !empty($h6_mouseover_link_color) ? esc_attr( $h6_mouseover_link_color ) : '#7d7d7d' ?>;

// 02. Ordered / Unordered List Styles
$list-font-color-1					: $primary-theme-color;
$list-font-color-2					: #7b7b7b;
$list-icon-color-1					: #bfc2c5;

// 03. Blockquotes
$blockquote-font-color-1			: $primary-theme-color;
$blockquote-font-weight				: 700;
$blockquote-font-style				: italic;
$blockquote-brd-color-1				: $primary-theme-color;

// 04. Dropcaps
$dropcap-font-color-1				: #D9DADB;
$dropcap-font-color-2				: #ffffff;
$dropcap-font-weight				: 700;
$dropcap-font-size					: 38px;

/* ---------------------------------------------------------------------- */
/*	Header
/* ---------------------------------------------------------------------- */

$header-top-bar-bg						: #f4f4f4;
$header-top-icon-color					: $primary-theme-color;
$header-top-text-highlight-color		: $primary-theme-color;
$header-top-text-cart-items-color		: #ffffff;

$header-classic-nav-bg					: #4e5256;

$header-logo-bar-bg						: rgba(255, 255, 255, 0.9);

$header-logo-font-family				: '<?php echo !empty($logo_font) ? esc_attr( $logo_font ) : 'Oswald' ?>', sans-serif;
$header-logo-font-size					: <?php echo !empty($logo_font_size) ? esc_attr( $logo_font_size ) : '46' ?>px;
$header-logo-highlight-color			: <?php echo !empty($logo_text_color) ? esc_attr( $logo_text_color ) : '#ff600a' ?>;

/* Header Bar */
$page-header-bar-h1							: #ffffff;
$page-header-bar-h2							: #a5a5a5;

/* Breadcrumbs */
$breadcrumbs-font-family					: 'Open Sans', sans-serif;
$breadcrumbs-font-size						: 14px;
$breadcrumbs-font-color						: #b0b0b0;
$breadcrumbs-font-color-link				: #b0b0b0;
$breadcrumbs-font-color-hover				: #ffffff;

$breadcrumbs-subheader-font-color			: #b0b0b0;
$breadcrumbs-subheader-font-color-link		: #b0b0b0;
$breadcrumbs-subheader-font-color-hover		: $primary-theme-color;

/* -------------------------------------------------- */
/*	Main Navigation
/* -------------------------------------------------- */

$nav-level-1-font-family				: '<?php echo !empty($main_nav_font) ? esc_attr( $main_nav_font ) : 'Roboto Condensed' ?>', sans-serif;
$nav-level-1-font-size					: <?php echo !empty($main_nav_first_level_font_size) ? esc_attr( $main_nav_first_level_font_size ) : '18' ?>px;

$nav-level-1-bg							: <?php echo !empty($main_nav_bg_top) ? esc_attr( $main_nav_bg_top ) : '#ffffff' ?>;
$nav-level-1-bg-hover					: <?php echo !empty($main_nav_curr_item_bg_top_color) ? esc_attr( $main_nav_curr_item_bg_top_color ) : 'rgba(255, 255, 255, .1)' ?>;
$nav-level-1-bg-current					: <?php echo !empty($main_nav_curr_item_bg_top_color) ? esc_attr( $main_nav_curr_item_bg_top_color ) : 'rgba(255, 255, 255, .1)' ?>;

$nav-level-1-color						: <?php echo !empty($main_nav_def_text_color) ? esc_attr( $main_nav_def_text_color ) : '#fbfafa' ?>;
$nav-level-1-color-hover				: <?php echo !empty($main_nav_hover_text_color) ? esc_attr( $main_nav_hover_text_color ) : '$primary-theme-color' ?>;
$nav-level-1-color-current				: <?php echo !empty($main_nav_curr_text_color) ? esc_attr( $main_nav_curr_text_color ) : '$primary-theme-color' ?>;

$nav-level-2-font-family				: '<?php echo !empty($main_nav_level_2_font) ? esc_attr( $main_nav_level_2_font ) : 'Roboto Condensed' ?>', sans-serif;
$nav-level-2-font-size					: <?php echo !empty($main_nav_second_level_font_size) ? esc_attr( $main_nav_second_level_font_size ) : '15' ?>px;

$nav-level-2-bg							: <?php echo !empty($main_nav_bg_sub) ? esc_attr( $main_nav_bg_sub ) : '#4e5256' ?>;								// Main bg color for sublevels
$nav-level-2-bg-hover					: <?php echo !empty($main_nav_dd_curr_item_bg_top_color) ? esc_attr( $main_nav_dd_curr_item_bg_top_color ) : '#5f6366' ?>;
$nav-level-2-bg-current					: <?php echo !empty($main_nav_dd_curr_item_bg_top_color) ? esc_attr( $main_nav_dd_curr_item_bg_top_color ) : 'transparent' ?>;

$nav-level-2-color						: <?php echo !empty($main_nav_dd_def_text_color) ? esc_attr( $main_nav_dd_def_text_color ) : '#fbfafa' ?>;
$nav-level-2-color-hover				: <?php echo !empty($main_nav_dd_hover_text_color) ? esc_attr( $main_nav_dd_hover_text_color ) : '#ffffff' ?>;
$nav-level-2-color-current				: <?php echo !empty($main_nav_dd_curr_text_color) ? esc_attr( $main_nav_dd_curr_text_color ) : '#ffffff' ?>;

$nav-level-2-width						: 200px;

/* Alternate Navigation Colors */

$nav-alt-level-1-bg							: #ffffff;
$nav-alt-level-1-bg-hover					: rgba(255, 255, 255, .1);
$nav-alt-level-1-bg-current					: rgba(255, 255, 255, .1);

$nav-alt-level-1-color						: #4e5256;
$nav-alt-level-1-color-hover				: $primary-theme-color;
$nav-alt-level-1-color-current				: $primary-theme-color;

$nav-alt-level-2-bg							: #f4f4f4;								// Main bg color for sublevels
$nav-alt-level-2-bg-hover					: #dedede;
$nav-alt-level-2-bg-current					: #eeeeee;

$nav-alt-level-2-color						: #4e5256;
$nav-alt-level-2-color-hover				: #4e5256;
$nav-alt-level-2-color-current				: $primary-theme-color;

/* Footer Area */
$footer-background-color                    : <?php echo !empty($footer_bg) ? esc_attr( $footer_bg ) : '#4e5256' ?>;
$footer-borders-color                       : <?php echo !empty($footer_brd_color) ? esc_attr( $footer_brd_color ) : '#696969' ?>;
$footer-borders-width                       : <?php echo !empty($footer_brd_size) ? esc_attr( $footer_brd_size ) : '1' ?>px;
$footer-title-color                         : <?php echo !empty($footer_title_color) ? esc_attr( $footer_title_color ) : '#ffffff' ?>;
$footer-text-color                          : <?php echo !empty($footer_text_color) ? esc_attr( $footer_text_color ) : '#b0b0b0' ?>;
$footer-link-color                          : <?php echo !empty($footer_link_color) ? esc_attr( $footer_link_color ) : '#ffffff' ?>;
$footer-hover-link-color                    : <?php echo !empty($footer_link_hover_color) ? esc_attr( $footer_link_hover_color ) : '#fefefe' ?>;

:root {
	--primary-theme-color: <?php echo !empty($primary_theme_color) ? esc_attr( $primary_theme_color ) : '#ff600a' ?>;
	--primary-theme-color-hsl: <?php echo !empty($primary_theme_color_hsl) ? esc_attr( $primary_theme_color_hsl ) : '21, 100%, 52%' ?>;
	--secondary-theme-color: <?php echo !empty($secondary_theme_color) ? esc_attr( $secondary_theme_color ) : '#7b7b7b' ?>;

	--primary-title-font-family: '<?php echo !empty($general_title_font_family) ? esc_attr( $general_title_font_family ) : 'Roboto Condensed' ?>', sans-serif;
	--primary-content-font-family: '<?php echo !empty($general_font_family) ? esc_attr( $general_font_family ) : 'Open Sans' ?>', sans-serif;
}