<?php if (!defined('ABSPATH')) {
    die('No direct access allowed');
} ?>
<?php

$child_sections = array();
$tab_key = basename(__FILE__, '.php');
$pagepath = TMM_THEME_PATH . '/admin/theme_options/sections/' . $tab_key . '/custom_html/';

$content = array(
    'block0' => array(
        'title' => esc_html__('General Theme Styles', 'cardealer'),
        'type' => 'items_block',
        'items' => array(
            'primary_theme_color' => array(
                'title' => esc_html__('Primary theme color', 'cardealer'),
                'type' => 'color',
                'default_value' => '#ff600a',
                'description' => esc_html__('Primary theme color. Do not edit this field to use default theme styling.'),
                'custom_html' => '',
                'show_title' => true,
                'is_reset' => true
            ),
            'secondary_theme_color' => array(
                'title' => esc_html__('Secondary theme color', 'cardealer'),
                'type' => 'color',
                'default_value' => '#7d7d7d',
                'description' => esc_html__('Secondary theme color. Do not edit this field to use default theme styling.'),
                'custom_html' => '',
                'show_title' => true,
                'is_reset' => true
            ),
            'general_title_font_family' => array(
                'title' => esc_html__('Primary Title Font Family', 'cardealer'),
                'type' => 'google_font_select',
                'default_value' => 'Roboto Condensed',
                'description' => '',
                'custom_html' => '',
                'is_reset' => true
            )
        )
    ),
    'block1' => array(
        'title' => esc_html__('Text', 'cardealer'),
        'type' => 'items_block',
        'items' => array(
            'general_font_family' => array(
                'title' => esc_html__('Website Font Family', 'cardealer'),
                'type' => 'google_font_select',
                'default_value' => 'Open Sans',
                'description' => '',
                'custom_html' => '',
                'is_reset' => true
            ),
            'general_font_size' => array(
                'title' => esc_html__('Website Font Size', 'cardealer'),
                'type' => 'slider',
                'default_value' => 14,
                'min' => 10,
                'max' => 18,
                'description' => esc_html__('General website font size in pixels. Do not edit this field to use default theme styling.', 'cardealer'),
                'custom_html' => '',
                'show_title' => true,
                'is_reset' => true
            ),
            'general_text_color' => array(
                'title' => esc_html__('Website Text Color', 'cardealer'),
                'type' => 'color',
                'default_value' => '#7e858b',
                'description' => esc_html__('General website text color. Do not edit this field to use default theme styling.', 'cardealer'),
                'custom_html' => '',
                'is_reset' => true
            ),
            'general_normal_links_color' => array(
                'title' => esc_html__('Website Links Color', 'cardealer'),
                'type' => 'color',
                'default_value' => '#ff600a',
                'description' => esc_html__('General website links color. Do not edit this field to use default theme styling.', 'cardealer'),
                'custom_html' => '',
                'is_reset' => true
            ),
            'general_mouseover_links_color' => array(
                'title' => esc_html__('Website Mouseover Links Color', 'cardealer'),
                'type' => 'color',
                'default_value' => '#ff600a',
                'description' => esc_html__('General website mouseover links color. Do not edit this field to use default theme styling.', 'cardealer'),
                'custom_html' => '',
                'is_reset' => true
            ),
        )
    ),
    'block3' => array(
        'title' => esc_html__('Backgrounds', 'cardealer'),
        'type' => 'items_block',
        'items' => array(

            'body_pattern_selected' => array(
                'title' => esc_html__('Website Background', 'cardealer'),
                'type' => 'select',
                'css_class' => 'showhide',
                'default_value' => 0,
                'values' => array(
                    0 => esc_html__('Background Color', 'cardealer'),
                    1 => esc_html__('Custom Background Image', 'cardealer'),
                    2 => esc_html__('Patterns', 'cardealer'),
                ),
                'description' => esc_html__('General website background. Do not edit this field to use default theme styling.', 'cardealer'),
                'custom_html' => TMM::draw_free_page($pagepath . 'body_pattern_selected.php'),
                'show_title' => true,
                'is_reset' => true
            ),
        )
    ),
    'custom_css' => array(
        'title' => esc_html__('Custom CSS Styles', 'cardealer'),
        'type' => 'textarea',
        'default_value' => '',
        'description' => '',
        'custom_html' => ''
    ),
);

$child_sections['styling_headings'] = array(
    'name' => esc_html__('Headings', 'cardealer'),
    'sections' => array(
        'block1' => array(
            'title' => esc_html__('H1 Heading', 'cardealer'),
            'type' => 'items_block',
            'items' => array(
                'h1_font_family' => array(
                    'title' => esc_html__('Font Family', 'cardealer'),
                    'type' => 'google_font_select',
                    'default_value' => 'Roboto Condensed',
                    'description' => '',
                    'custom_html' => '',
                    'is_reset' => true
                ),
                'h1_font_size' => array(
                    'title' => esc_html__('Font Size', 'cardealer'),
                    'type' => 'slider',
                    'default_value' => 32,
                    'min' => 12,
                    'max' => 36,
                    'description' => esc_html__('H1 heading font size in pixels. Do not edit this field to use default theme styling.', 'cardealer'),
                    'custom_html' => '',
                    'show_title' => true,
                    'is_reset' => true
                ),
                'h1_font_color' => array(
                    'title' => esc_html__('Font Color', 'cardealer'),
                    'type' => 'color',
                    'default_value' => '#232527',
                    'description' => esc_html__('H1 heading font color. Do not edit this field to use default theme styling.', 'cardealer'),
                    'custom_html' => '',
                    'is_reset' => true
                ),
                'h1_normal_link_color' => array(
                    'title' => esc_html__('Normal Link Color', 'cardealer'),
                    'type' => 'color',
                    'default_value' => '#ff600a',
                    'description' => esc_html__('A normal, visited and unvisited link. Do not edit this field to use default theme styling.', 'cardealer'),
                    'custom_html' => '',
                    'is_reset' => true
                ),
                'h1_mouseover_link_color' => array(
                    'title' => esc_html__('Mouseover Link Color', 'cardealer'),
                    'type' => 'color',
                    'default_value' => '#7d7d7d',
                    'description' => esc_html__('A link when the user mouses over it. Do not edit this field to use default theme styling.', 'cardealer'),
                    'custom_html' => '',
                    'is_reset' => true
                )
            )
        ),
        'block2' => array(
            'title' => esc_html__('H2 Heading', 'cardealer'),
            'type' => 'items_block',
            'items' => array(
                'h2_font_family' => array(
                    'title' => esc_html__('Font Family', 'cardealer'),
                    'type' => 'google_font_select',
                    'default_value' => 'Roboto Condensed',
                    'description' => '',
                    'custom_html' => '',
                    'is_reset' => true
                ),
                'h2_font_size' => array(
                    'title' => esc_html__('Font Size', 'cardealer'),
                    'type' => 'slider',
                    'default_value' => 28,
                    'min' => 12,
                    'max' => 36,
                    'description' => esc_html__('H2 heading font size in pixels. Do not edit this field to use default theme styling.', 'cardealer'),
                    'custom_html' => '',
                    'show_title' => true,
                    'is_reset' => true
                ),
                'h2_font_color' => array(
                    'title' => esc_html__('Font Color', 'cardealer'),
                    'type' => 'color',
                    'default_value' => '#7f858b',
                    'description' => esc_html__('H2 heading font color. Do not edit this field to use default theme styling.', 'cardealer'),
                    'custom_html' => '',
                    'is_reset' => true
                ),
                'h2_normal_link_color' => array(
                    'title' => esc_html__('Normal Link Color', 'cardealer'),
                    'type' => 'color',
                    'default_value' => '#ff600a',
                    'description' => esc_html__('A normal, visited and unvisited link. Do not edit this field to use default theme styling.', 'cardealer'),
                    'custom_html' => '',
                    'is_reset' => true
                ),
                'h2_mouseover_link_color' => array(
                    'title' => esc_html__('Mouseover Link Color', 'cardealer'),
                    'type' => 'color',
                    'default_value' => '#7d7d7d',
                    'description' => esc_html__('A link when the user mouses over it. Do not edit this field to use default theme styling.', 'cardealer'),
                    'custom_html' => '',
                    'is_reset' => true
                )
            )
        ),
        'block3' => array(
            'title' => esc_html__('H3 Heading', 'cardealer'),
            'type' => 'items_block',
            'items' => array(
                'h3_font_family' => array(
                    'title' => esc_html__('Font Family', 'cardealer'),
                    'type' => 'google_font_select',
                    'default_value' => 'Roboto Condensed',
                    'description' => '',
                    'custom_html' => '',
                    'is_reset' => true
                ),
                'h3_font_size' => array(
                    'title' => esc_html__('Font Size', 'cardealer'),
                    'type' => 'slider',
                    'default_value' => 22,
                    'min' => 12,
                    'max' => 36,
                    'description' => esc_html__('H3 heading font size in pixels. Do not edit this field to use default theme styling.', 'cardealer'),
                    'custom_html' => '',
                    'show_title' => true,
                    'is_reset' => true
                ),
                'h3_font_color' => array(
                    'title' => esc_html__('Font Color', 'cardealer'),
                    'type' => 'color',
                    'default_value' => '#7f858c',
                    'description' => esc_html__('H3 heading font color. Do not edit this field to use default theme styling.', 'cardealer'),
                    'custom_html' => '',
                    'is_reset' => true
                ),
                'h3_normal_link_color' => array(
                    'title' => esc_html__('Normal Link Color', 'cardealer'),
                    'type' => 'color',
                    'default_value' => '#ff600a',
                    'description' => esc_html__('A normal, visited and unvisited link. Do not edit this field to use default theme styling.', 'cardealer'),
                    'custom_html' => '',
                    'is_reset' => true
                ),
                'h3_mouseover_link_color' => array(
                    'title' => esc_html__('Mouseover Link Color', 'cardealer'),
                    'type' => 'color',
                    'default_value' => '#7d7d7d',
                    'description' => esc_html__('A link when the user mouses over it. Do not edit this field to use default theme styling.', 'cardealer'),
                    'custom_html' => '',
                    'is_reset' => true
                )
            )
        ),
        'block4' => array(
            'title' => esc_html__('H4 Heading', 'cardealer'),
            'type' => 'items_block',
            'items' => array(
                'h4_font_family' => array(
                    'title' => esc_html__('Font Family', 'cardealer'),
                    'type' => 'google_font_select',
                    'default_value' => 'Roboto Condensed',
                    'description' => '',
                    'custom_html' => '',
                    'is_reset' => true
                ),
                'h4_font_size' => array(
                    'title' => esc_html__('Font Size', 'cardealer'),
                    'type' => 'slider',
                    'default_value' => 18,
                    'min' => 12,
                    'max' => 36,
                    'description' => esc_html__('H4 heading font size in pixels. Do not edit this field to use default theme styling.', 'cardealer'),
                    'custom_html' => '',
                    'show_title' => true,
                    'is_reset' => true
                ),
                'h4_font_color' => array(
                    'title' => esc_html__('Font Color', 'cardealer'),
                    'type' => 'color',
                    'default_value' => '#232527',
                    'description' => esc_html__('H4 heading font color. Do not edit this field to use default theme styling.', 'cardealer'),
                    'custom_html' => '',
                    'is_reset' => true
                ),
                'h4_normal_link_color' => array(
                    'title' => esc_html__('Normal Link Color', 'cardealer'),
                    'type' => 'color',
                    'default_value' => '#232527',
                    'description' => esc_html__('A normal, visited and unvisited link. Do not edit this field to use default theme styling.', 'cardealer'),
                    'custom_html' => '',
                    'is_reset' => true
                ),
                'h4_mouseover_link_color' => array(
                    'title' => esc_html__('Mouseover Link Color', 'cardealer'),
                    'type' => 'color',
                    'default_value' => '#7d7d7d',
                    'description' => esc_html__('A link when the user mouses over it. Do not edit this field to use default theme styling.', 'cardealer'),
                    'custom_html' => '',
                    'is_reset' => true
                )
            )
        ),
        'block5' => array(
            'title' => esc_html__('H5 Heading', 'cardealer'),
            'type' => 'items_block',
            'items' => array(
                'h5_font_family' => array(
                    'title' => esc_html__('Font Family', 'cardealer'),
                    'type' => 'google_font_select',
                    'default_value' => 'Roboto Condensed',
                    'description' => '',
                    'custom_html' => '',
                    'is_reset' => true
                ),
                'h5_font_size' => array(
                    'title' => esc_html__('Font Size', 'cardealer'),
                    'type' => 'slider',
                    'default_value' => 16,
                    'min' => 12,
                    'max' => 36,
                    'description' => esc_html__('H5 heading font size in pixels. Do not edit this field to use default theme styling.', 'cardealer'),
                    'custom_html' => '',
                    'show_title' => true,
                    'is_reset' => true
                ),
                'h5_font_color' => array(
                    'title' => esc_html__('Font Color', 'cardealer'),
                    'type' => 'color',
                    'default_value' => '#232527',
                    'description' => esc_html__('H5 heading font color. Do not edit this field to use default theme styling.', 'cardealer'),
                    'custom_html' => '',
                    'is_reset' => true
                ),
                'h5_normal_link_color' => array(
                    'title' => esc_html__('Normal Link Color', 'cardealer'),
                    'type' => 'color',
                    'default_value' => '#ff600a',
                    'description' => esc_html__('A normal, visited and unvisited link. Do not edit this field to use default theme styling.', 'cardealer'),
                    'custom_html' => '',
                    'is_reset' => true
                ),
                'h5_mouseover_link_color' => array(
                    'title' => esc_html__('Mouseover Link Color', 'cardealer'),
                    'type' => 'color',
                    'default_value' => '#7d7d7d',
                    'description' => esc_html__('A link when the user mouses over it. Do not edit this field to use default theme styling.', 'cardealer'),
                    'custom_html' => '',
                    'is_reset' => true
                )
            )
        ),
        'block6' => array(
            'title' => esc_html__('H6 Heading', 'cardealer'),
            'type' => 'items_block',
            'items' => array(
                'h6_font_family' => array(
                    'title' => esc_html__('Font Family', 'cardealer'),
                    'type' => 'google_font_select',
                    'default_value' => 'Roboto Condensed',
                    'description' => '',
                    'custom_html' => '',
                    'is_reset' => true
                ),
                'h6_font_size' => array(
                    'title' => esc_html__('Font Size', 'cardealer'),
                    'type' => 'slider',
                    'default_value' => 16,
                    'min' => 12,
                    'max' => 36,
                    'description' => esc_html__('H6 heading font size in pixels. Do not edit this field to use default theme styling.', 'cardealer'),
                    'custom_html' => '',
                    'show_title' => true,
                    'is_reset' => true
                ),
                'h6_font_color' => array(
                    'title' => esc_html__('Font Color', 'cardealer'),
                    'type' => 'color',
                    'default_value' => '#232527',
                    'description' => esc_html__('H6 heading font color. Do not edit this field to use default theme styling.', 'cardealer'),
                    'custom_html' => '',
                    'is_reset' => true
                ),
                'h6_normal_link_color' => array(
                    'title' => esc_html__('Normal Link Color', 'cardealer'),
                    'type' => 'color',
                    'default_value' => '#ff600a',
                    'description' => esc_html__('A normal, visited and unvisited link. Do not edit this field to use default theme styling.', 'cardealer'),
                    'custom_html' => '',
                    'is_reset' => true
                ),
                'h6_mouseover_link_color' => array(
                    'title' => esc_html__('Mouseover Link Color', 'cardealer'),
                    'type' => 'color',
                    'default_value' => '#7d7d7d',
                    'description' => esc_html__('A link when the user mouses over it. Do not edit this field to use default theme styling.', 'cardealer'),
                    'custom_html' => '',
                    'is_reset' => true
                )
            )
        ),
    )
);

$child_sections['styling_main_navigation'] = array(
    'name' => esc_html__('Main Navigation', 'cardealer'),
    'sections' => array(
        'block1' => array(
            'title' => esc_html__('General', 'cardealer'),
            'type' => 'items_block',
            'items' => array(
                'main_nav_font' => array(
                    'title' => esc_html__('First Level Font Family', 'cardealer'),
                    'type' => 'google_font_select',
                    'default_value' => 'Roboto Condensed',
                    'description' => esc_html__('First level navigation menu font family.', 'cardealer'),
                    'custom_html' => '',
                    'is_reset' => true
                ),
                'main_nav_level_2_font' => array(
                    'title' => esc_html__('Sublevels Font Family', 'cardealer'),
                    'type' => 'google_font_select',
                    'default_value' => 'Roboto Condensed',
                    'description' => esc_html__('Sublevels navigation menu font family.', 'cardealer'),
                    'custom_html' => '',
                    'is_reset' => true
                ),
                'main_nav_first_level_font_size' => array(
                    'title' => esc_html__('First Level Font Size', 'cardealer'),
                    'type' => 'slider',
                    'default_value' => 18,
                    'min' => 16,
                    'max' => 21,
                    'description' => esc_html__('Main navigation first level font size in pixels. Do not edit this field to use default theme styling.', 'cardealer'),
                    'custom_html' => '',
                    'show_title' => true,
                    'is_reset' => true
                ),
                'main_nav_second_level_font_size' => array(
                    'title' => esc_html__('Sublevels Font Size', 'cardealer'),
                    'type' => 'slider',
                    'default_value' => 15,
                    'min' => 14,
                    'max' => 17,
                    'description' => esc_html__('Main navigation second level font size in pixels. Do not edit this field to use default theme styling.', 'cardealer'),
                    'custom_html' => '',
                    'show_title' => true,
                    'is_reset' => true
                ),
            )
        ),
        'block2' => array(
            'title' => esc_html__('Links Color (First level)', 'cardealer'),
            'type' => 'items_block',
            'items' => array(
                'main_nav_def_text_color' => array(
                    'title' => esc_html__('Normal', 'cardealer'),
                    'type' => 'color',
                    'default_value' => '#fbfafa',
                    'description' => esc_html__('A normal, visited and unvisited link color for main navigation. Do not edit this field to use default theme styling.', 'cardealer'),
                    'custom_html' => '',
                    'is_reset' => true
                ),
                'main_nav_curr_text_color' => array(
                    'title' => esc_html__('Current', 'cardealer'),
                    'type' => 'color',
                    'default_value' => '#ff600a',
                    'description' => esc_html__('Current menu item link color for main navigation. Do not edit this field to use default theme styling.', 'cardealer'),
                    'custom_html' => '',
                    'is_reset' => true
                ),
                'main_nav_hover_text_color' => array(
                    'title' => esc_html__('Mouseover', 'cardealer'),
                    'type' => 'color',
                    'default_value' => '#ff600a',
                    'description' => esc_html__('A link when the user mouses over it. Do not edit this field to use default theme styling.', 'cardealer'),
                    'custom_html' => '',
                    'is_reset' => true
                )
            )
        ),
        'block3' => array(
            'title' => esc_html__('Links Color (Second level)', 'cardealer'),
            'type' => 'items_block',
            'items' => array(
                'main_nav_dd_def_text_color' => array(
                    'title' => esc_html__('Normal', 'cardealer'),
                    'type' => 'color',
                    'default_value' => '#fbfafa',
                    'description' => esc_html__('A normal, visited and unvisited link color for main navigation. Do not edit this field to use default theme styling.', 'cardealer'),
                    'custom_html' => '',
                    'is_reset' => true
                ),
                'main_nav_dd_curr_text_color' => array(
                    'title' => esc_html__('Current', 'cardealer'),
                    'type' => 'color',
                    'default_value' => '#ffffff',
                    'description' => esc_html__('Current menu item link color for main navigation. Do not edit this field to use default theme styling.', 'cardealer'),
                    'custom_html' => '',
                    'is_reset' => true
                ),
                'main_nav_dd_hover_text_color' => array(
                    'title' => esc_html__('Mouseover', 'cardealer'),
                    'type' => 'color',
                    'default_value' => '#ffffff',
                    'description' => esc_html__('A link when the user mouses over it. Do not edit this field to use default theme styling.', 'cardealer'),
                    'custom_html' => '',
                    'is_reset' => true
                )
            )
        ),
        'block4' => array(
            'title' => esc_html__('Navigation Container Background', 'cardealer'),
            'type' => 'items_block',
            'items' => array(
                'main_nav_bg_top' => array(
                    'title' => esc_html__('Background Color', 'cardealer'),
                    'type' => 'color',
                    'default_value' => '#4e5256',
                    'description' => esc_html__('Navigation container background color. Do not edit this field to use default theme styling.', 'cardealer'),
                    'custom_html' => '',
                    'is_reset' => true
                ),

            )
        ),
        'block5' => array(
            'title' => esc_html__('Navigation Sublevels Background', 'cardealer'),
            'type' => 'items_block',
            'items' => array(
                'main_nav_bg_sub' => array(
                    'title' => esc_html__('Background Color', 'cardealer'),
                    'type' => 'color',
                    'default_value' => '#4e5256',
                    'description' => esc_html__('Navigation sublevels background color. Do not edit this field to use default theme styling.', 'cardealer'),
                    'custom_html' => '',
                    'is_reset' => true
                ),

            )
        ),
        'block6' => array(
            'title' => esc_html__('Navigation Current Item Background', 'cardealer'),
            'type' => 'items_block',
            'items' => array(
                'main_nav_curr_item_bg_top_color' => array(
                    'title' => esc_html__('Background Color', 'cardealer'),
                    'type' => 'color',
                    'default_value' => '#5f6366',
                    'description' => esc_html__('Navigation current item background color. Do not edit this field to use default theme styling.', 'cardealer'),
                    'custom_html' => '',
                    'is_reset' => true
                ),

            )
        ),
        'block7' => array(
            'title' => esc_html__('Navigation Sublevels Current Item Background', 'cardealer'),
            'type' => 'items_block',
            'items' => array(
                'main_nav_dd_curr_item_bg_top_color' => array(
                    'title' => esc_html__('Background Color', 'cardealer'),
                    'type' => 'color',
                    'default_value' => '#5f6366',
                    'description' => esc_html__('Navigation sublevels current item background color. Do not edit this field to use default theme styling.', 'cardealer'),
                    'custom_html' => '',
                    'is_reset' => true
                ),

            )
        ),
    )
);

$child_sections['styling_footer'] = array(
    'name' => esc_html__('Footer', 'cardealer'),
    'sections' => array(
        'block1' => array(
            'title' => esc_html__('General Styles', 'cardealer'),
            'type' => 'items_block',
            'items' => array(
                'footer_bg' => array(
                    'title' => esc_html__('Footer Background Color', 'cardealer'),
                    'type' => 'color',
                    'default_value' => '#4e5256',
                    'description' => esc_html__('Footer area background color. Do not edit this field to use default theme styling.', 'cardealer'),
                    'custom_html' => '',
                    'is_reset' => true
                ),
                'footer_brd_size' => array(
                    'title' => esc_html__('Footer Borders Width', 'cardealer'),
                    'type' => 'slider',
                    'default_value' => 1,
                    'min' => 0,
                    'max' => 5,
                    'description' => esc_html__('Footer borders width in pixels. Do not edit this field to use default theme styling.', 'cardealer'),
                    'custom_html' => '',
                    'is_reset' => true
                ),
                'footer_brd_color' => array(
                    'title' => esc_html__('Footer Borders Color', 'cardealer'),
                    'type' => 'color',
                    'default_value' => '#696969',
                    'description' => esc_html__('Footer borders color. Do not edit this field to use default theme styling.', 'cardealer'),
                    'custom_html' => '',
                    'is_reset' => true
                ),
            )
        ),
        'block2' => array(
            'title' => esc_html__('Text Styles', 'cardealer'),
            'type' => 'items_block',
            'items' => array(
                'footer_title_color' => array(
                    'title' => esc_html__('Title Color', 'cardealer'),
                    'type' => 'color',
                    'default_value' => '#ffffff',
                    'description' => esc_html__('Footer title color. Do not edit this field to use default theme styling.', 'cardealer'),
                    'custom_html' => '',
                    'show_title' => true,
                    'is_reset' => true
                ),
                'footer_text_color' => array(
                    'title' => esc_html__('Text Color', 'cardealer'),
                    'type' => 'color',
                    'default_value' => '#b0b0b0',
                    'description' => esc_html__('Footer text color. Do not edit this field to use default theme styling.', 'cardealer'),
                    'custom_html' => '',
                    'show_title' => true,
                    'is_reset' => true
                ),
                'footer_link_color' => array(
                    'title' => esc_html__('Normal Link Color', 'cardealer'),
                    'type' => 'color',
                    'default_value' => '#ff600a',
                    'description' => esc_html__('A normal, visited and unvisited link color. Do not edit this field to use default theme styling.', 'cardealer'),
                    'custom_html' => '',
                    'is_reset' => true
                ),
                'footer_link_hover_color' => array(
                    'title' => esc_html__('Mouseover Link Color', 'cardealer'),
                    'type' => 'color',
                    'default_value' => '#ff600a',
                    'description' => esc_html__('A link when the user mouses over it. Do not edit this field to use default theme styling.', 'cardealer'),
                    'custom_html' => '',
                    'is_reset' => true
                )
            )
        )
    )
);

$sections = array(
    'name' => esc_html__('Styling', 'cardealer'),
    'css_class' => 'shortcut-styling',
    'show_general_page' => true,
    'content' => $content,
    'child_sections' => $child_sections,
    'menu_icon' => 'dashicons-welcome-write-blog'
);

TMM_OptionsHelper::$sections[$tab_key] = $sections;


