<?php if ( !defined('ABSPATH') ) exit;

global $post;

if ( !isset( $content_width ) ) {
	$content_width = 960;
}

$color_scheme = TMM::get_option( "color_scheme" );
if ( empty( $color_scheme ) ) {
	$color_scheme = 1;
}

$page_id = 0;
if (is_object($post) && (is_single() || is_page() || is_front_page()) ) {
	$page_id = $post->ID;
}

$page_id = apply_filters('tmm_post_id', $page_id);

$body_styles = '';
if ($page_id > 0) {
	$body_styles = TMM_Helper::get_page_backround( $page_id );
}

if (!empty($body_styles)) {
	$body_styles = ' style="' . $body_styles . '"';
}

$page_header_type = get_post_meta($page_id, 'header_type', 1);

// add 'class-name' to the $classes array
if ($page_header_type === 'alternate') {
	// Add specific CSS class by filter
	add_filter( 'body_class', 'custom_body_class' );

	function custom_body_class( $classes ) {
		// add 'class-name' to the $classes array
		$classes[] = 'alternate-layout';
		// return the $classes array
		return $classes;
	}
}

?>
<!DOCTYPE html>
<html <?php language_attributes(); ?>>
	<head>
		<?php get_template_part( 'header/header', 'seocode' ); ?>
		<meta http-equiv="Content-Type" content="<?php bloginfo('html_type'); ?>; charset=<?php bloginfo('charset'); ?>" />
		<meta name="viewport" content="width=device-width, initial-scale=1, maximum-scale=1" />
		<link rel="alternate" type="application/rss+xml" title="<?php bloginfo( 'name' ); ?> RSS Feed" href="<?php bloginfo( 'rss2_url' ); ?>" />
		<link rel="pingback" href="<?php bloginfo( 'pingback_url' ); ?>" />
		<?php wp_head(); ?>
		<?php echo TMM::get_option( "tracking_code" ); ?>
	</head>

<body <?php body_class(); echo wp_kses_post( $body_styles ) ?>>

<!-- Mobile Nav toggle -->
<input id="toggle-main-nav" class="toggle-main-nav" type="checkbox" />

<div class="wrapper">
	<div class="wrapper-inner">

	<?php if (TMM::get_option('boxed_layout')) { ?>
	<div class="page-wrap">
	<?php } ?>

	<div id="fb-root"></div>

	<?php get_template_part('header/header', 'default'); ?>

	<?php tmm_page_slider( $page_id ); ?>

	<?php get_template_part( 'frontpage', 'search-panel' ); ?>