<?php if (!defined('ABSPATH')) die('No direct access allowed');

global $post;

$page_id = 0;
if (is_object($post) && (is_single() || is_page() || is_front_page()) ) {
    $page_id = $post->ID;
}

$page_id = apply_filters('tmm_post_id', $page_id);

if (is_object($post) && empty_content($post->post_content) && is_page_template('default')) {
    $page_content = ' has-no-content';
} else {
    $page_content = ' has-content';
}

get_header(); ?>

<div id="content" class="<?php echo tmm_get_sidebar_position() ?>">

    <?php tmm_layout_content($page_id, 'before_full_width'); ?>

    <div class="container">
        <div class="row">

            <?php if ( tmm_get_sidebar_position() == 'no_sidebar' ) { ?>
            <main id="main" class="col-xs-12<?php echo esc_attr( $page_content ) ?>">
                <?php } ?>

                <?php if ( tmm_get_sidebar_position() != 'no_sidebar' ) { ?>
                <main id="main" class="col-md-9 col-sm-12<?php echo esc_attr( $page_content ) ?>">
                <?php } ?>

<!-- - - - - - - - - - - - Entry - - - - - - - - - - - - - - -->

<?php
if (have_posts()) : while (have_posts()) : the_post();

		get_template_part('content', 'header');
        the_content();
		tmm_link_pages();
		tmm_layout_content(get_the_ID());

    endwhile;
endif;
?>

<!-- - - - - - - - - - - - end Entry - - - - - - - - - - - - - - -->

                    <?php if (tmm_get_sidebar_position() != 'no_sidebar'):  ?>

                </main><!--/ .col-md-9 .col-sm-12 main #main -->

            <?php
            $is_single_car = false;
            if (is_single()) {
                if (get_post_type($post->ID) == TMM_Ext_PostType_Car::$slug) {
                    $is_single_car = true;
                    get_sidebar('single-car');
                }
            }

            if (!empty($_POST['template_user_cars']) && ($_POST['template_user_cars'] == true)) {
                get_sidebar('user-cars');
            } else {
                if (!empty($_POST['template_user_dealer']) && ($_POST['template_user_dealer'] == true)) {
                    if (TMM::get_option('cars_show_statistic_dealer_page', TMM_APP_CARDEALER_PREFIX)) {
                        get_sidebar('user-dealer');
                    }
                }
                if (!$is_single_car) {
                    get_sidebar();
                }
            }
            ?>

            <?php endif; ?>

                <?php if (tmm_get_sidebar_position() == 'no_sidebar'): ?>
            </main><!--/ .col-xs-12 #main -->
        <?php endif; ?>

        </div><!--/ .row-->
    </div><!--/ .container-->

    <?php
    if (is_single() || is_page() || is_page_template()) {
        tmm_layout_content($post->ID, 'full_width');
    }
    ?>

</div><!--/ #content-->

<?php get_footer(); ?>