<?php if (!defined('ABSPATH')) exit();
/**
 * Template Name: Car Watch List
 */

global $post;

$page_id = 0;
if (is_object($post) && (is_single() || is_page() || is_front_page())) {
    $page_id = $post->ID;
}

$page_id = apply_filters('tmm_post_id', $page_id);

if (is_object($post) && empty_content($post->post_content) && is_page_template('default')) {
    $page_content = ' has-no-content';
} else {
    $page_content = ' has-content';
}

get_header(); ?>

<div id="content" class="<?php echo tmm_get_sidebar_position() ?>">

    <?php tmm_layout_content($page_id, 'before_full_width'); ?>

    <div class="container">
        <div class="row">

            <?php if (tmm_get_sidebar_position() == 'no_sidebar') { ?>
            <main id="main" class="col-xs-12<?php echo esc_attr($page_content) ?>">
            <?php } ?>

                <?php if (tmm_get_sidebar_position() != 'no_sidebar') { ?>
                <main id="main" class="col-md-9 col-sm-12<?php echo esc_attr($page_content) ?>">
                <?php } ?>

                    <!-- - - - - - - - - - - - Entry - - - - - - - - - - - - - - -->

                    <?php

                    $car_compare_list = TMM_Ext_PostType_Car::get_compare_list();
                    $car_watch_list = TMM_Ext_PostType_Car::get_watch_list();

                    if (!empty($car_watch_list)) {
                        $GLOBALS['tmm_car_listing_layout_switcher'] = 1;
                    }

                    get_template_part('content', 'header');

                    if (!empty($car_watch_list)) { ?>

                        <div id="change-items"
                             class="row tmm-view-mode <?php echo tmm_get_car_listing_layout_type() ?>">

                            <?php
                            foreach ($car_watch_list as $post_id) {
                                $GLOBALS['post_id'] = $post_id;
                                get_template_part('article', 'car');
                            }
                            ?>

                        </div><!--/ #change-items-->

                    <?php } else { ?>

                        <p class="info"><?php esc_html_e('Ooops, You have not added any ad to your watch list yet!', 'cardealer'); ?></p>

                    <?php } ?>

                    <script type="text/javascript">
                        var is_watch_list = true;
                    </script>

                    <!-- - - - - - - - - - - - end Entry - - - - - - - - - - - - - - -->

                    <?php if (tmm_get_sidebar_position() != 'no_sidebar'): ?>

                </main><!--/ .col-md-9 .col-sm-12 main #main -->

            <?php
            $is_single_car = false;
            if (is_single()) {
                if (get_post_type($post->ID) == TMM_Ext_PostType_Car::$slug) {
                    $is_single_car = true;
                    get_sidebar('single-car');
                }
            }

            if (!empty($_POST['template_user_cars']) && ($_POST['template_user_cars'] == true)) {
                get_sidebar('user-cars');
            } else {
                if (!empty($_POST['template_user_dealer']) && ($_POST['template_user_dealer'] == true)) {
                    if (TMM::get_option('cars_show_statistic_dealer_page', TMM_APP_CARDEALER_PREFIX)) {
                        get_sidebar('user-dealer');
                    }
                }
                if (!$is_single_car) {
                    get_sidebar();
                }
            }
            ?>

            <?php endif; ?>

                <?php if (tmm_get_sidebar_position() == 'no_sidebar'): ?>
            </main><!--/ .col-xs-12 #main -->
        <?php endif; ?>

        </div><!--/ .row-->
    </div><!--/ .container-->

    <?php
    if (is_single() || is_page() || is_page_template()) {
        tmm_layout_content($post->ID, 'full_width');
    }
    ?>

</div><!--/ #content-->

<?php get_footer(); ?>
