<?php if ( !defined('ABSPATH') ) exit;
/*
  Template Name: Default Boxed Dev
 */

if ( !isset( $content_width ) ) {
    $content_width = 960;
}

$color_scheme = TMM::get_option( "color_scheme" );
if ( empty( $color_scheme ) ) {
    $color_scheme = 1;
}

global $post;

$page_id = 0;
if (is_object($post) && (is_single() || is_page() || is_front_page()) ) {
    $page_id = $post->ID;
}

$body_styles = '';
if ($page_id > 0) {
    $body_styles = TMM_Helper::get_page_backround( $page_id );
}

if (!empty($body_styles)) {
    $body_styles = ' style="' . $body_styles . '"';
}



if (is_object($post) && empty_content($post->post_content) && is_page_template('default')) {
    $page_content = ' has-no-content';
} else {
    $page_content = ' has-content';
}

?>
<!DOCTYPE html>
<!--[if gte IE 9]><!-->	<html class="ie9 no-js" <?php language_attributes(); ?>>    <!--<![endif]-->
<!--[if !IE]><!-->	    <html class="not-ie no-js" <?php language_attributes(); ?>> <!--<![endif]-->
<head>
    <?php get_template_part( 'header/header', 'seocode' ); ?>
    <meta http-equiv="Content-Type" content="<?php bloginfo('html_type'); ?>; charset=<?php bloginfo('charset'); ?>" />
    <meta name="viewport" content="width=device-width, initial-scale=1, maximum-scale=1" />
    <link rel="alternate" type="application/rss+xml" title="<?php bloginfo( 'name' ); ?> RSS Feed" href="<?php bloginfo( 'rss2_url' ); ?>" />
    <link rel="pingback" href="<?php bloginfo( 'pingback_url' ); ?>" />
    <?php wp_head(); ?>
    <?php echo TMM::get_option( "tracking_code" ); ?>
</head>

<body <?php body_class(); ?><?php echo $body_styles; ?>>

<!-- Mobile Nav toggle -->
<input id="toggle-main-nav" class="toggle-main-nav" type="checkbox" />

<div class="wrapper">
    <div class="wrapper-inner">

        <div class="page-wrap">

            <div id="fb-root"></div>

            <!-- - - - - - - - - - - - Header - - - - - - - - - - - - - -->

            <?php get_template_part('header/header', 'default'); ?>

            <!-- - - - - - - - - - - - end Header - - - - - - - - - - - - - -->


            <!-- - - - - - - - - - - Slider - - - - - - - - - - - - - -->

            <?php tmm_page_slider( $page_id ); ?>

            <!-- - - - - - - - - - - end Slider - - - - - - - - - - - - - -->


            <!-- - - - - - - - - - - Search Panel - - - - - - - - - - - - - -->

            <?php get_template_part( 'frontpage', 'search-panel' ); ?>

            <!-- - - - - - - - - - end Search Panel - - - - - - - - - - - - -->


            <!-- - - - - - - - - - - - - - - Content - - - - - - - - - - - - - - - - -->

            <div id="content" class="<?php echo tmm_get_sidebar_position() ?>">
                <div class="container">
                    <div class="row">

                        <?php if ( tmm_get_sidebar_position() == 'no_sidebar' ) { ?>
                        <main id="main" class="col-xs-12<?php echo $page_content; ?>">
                            <?php } ?>

                            <?php if ( tmm_get_sidebar_position() != 'no_sidebar' ) { ?>
                            <main id="main" class="col-md-9 col-sm-12<?php echo $page_content; ?>">
                                <?php } ?>

<!-- - - - - - - - - - - - Entry - - - - - - - - - - - - - - -->

<?php if (have_posts()) : while (have_posts()) : the_post(); ?>
        <?php if (!is_front_page() && !TMM_Helper::is_front_lang_page()): ?>
            <?php $hide_single_page_title = get_post_meta($post->ID, 'hide_single_page_title', true); ?>

            <?php if (!$hide_single_page_title): ?>
            <div class="page-subheader">

                <h2 class="page-title">
                    <?php the_title() ?>
                </h2><!-- /.page-title -->

	            <?php tmm_breadcrumbs(); ?>

            </div><!-- /.page-subheader -->
            <?php endif; ?>
        <?php endif; ?>

        <?php

        the_content();
		tmm_link_pages();
		tmm_layout_content(get_the_ID());

    endwhile;
endif;
?>

<!-- - - - - - - - - - - - end Entry - - - - - - - - - - - - - - -->

                                <?php if (tmm_get_sidebar_position() != 'no_sidebar'):  ?>

                            </main><!--/ .col-md-9 .col-sm-12 main #main -->

                        <?php
                        global $post;
                        $is_single_car = false;
                        if (is_single()) {
                            if (get_post_type($post->ID) == TMM_Ext_PostType_Car::$slug) {
                                $is_single_car = true;
                                get_sidebar('single-car');
                            }
                        }

                        if (!empty($_POST['template_user_cars']) && ($_POST['template_user_cars'] == true)) {
                            get_sidebar('user-cars');
                        } else {
                            if (!empty($_POST['template_user_dealer']) && ($_POST['template_user_dealer'] == true)) {
                                if (TMM::get_option('cars_show_statistic_dealer_page', TMM_APP_CARDEALER_PREFIX)) {
                                    get_sidebar('user-dealer');
                                }
                            }
                            if (!$is_single_car) {
                                get_sidebar();
                            }
                        }
                        ?>

                        <?php endif; ?>

                            <?php if (tmm_get_sidebar_position() == 'no_sidebar'): ?>
                        </main><!--/ .col-xs-12 #main -->
                    <?php endif; ?>

                    </div><!--/ .row-->
                </div><!--/ .container-->

                <?php
                if (is_single() || is_page() || is_page_template()) {
                    tmm_layout_content($post->ID, 'full_width');
                }
                ?>

            </div><!--/ #content-->

            <!-- - - - - - - - - - - - - end Content - - - - - - - - - - - - - - - -->


            <!-- - - - - - - - - - - - - - - Footer - - - - - - - - - - - - - - - - -->
            <?php
            $col_class = 'col-md-3';
            $count = (int) TMM::get_option("footer_columns");

            if (empty($count)) {
                $count = 4;
            }

            if ($count === 1) {
                $col_class = 'col-md-12';
            } else if ($count === 2) {
                $col_class = 'col-md-6';
            } else if ($count === 3) {
                $col_class = 'col-md-4';
            } else if ($count === 4) {
                $col_class = 'col-md-3';
            } else if ($count === 6) {
                $col_class = 'col-md-2';
            }
            ?>

            <footer id="footer">

                <div class="container">

                    <div class="row">

                        <?php if (!TMM::get_option("hide_footer")) { ?>

                            <?php for ($i=1; $i<=$count; $i++) { ?>

                            <div class="<?php echo $col_class ?>">
                                <?php if (function_exists('dynamic_sidebar') AND dynamic_sidebar('footer_sidebar_'.$i)) ?>
                                    </div>

                                <?php } ?>

                        <?php } ?>

                    </div><!--/ .row-->

                    <div class="row">
                        <div class="col-xs-12 adjective">
                            <p class="alignleft"><?php echo TMM::get_option("copyright_text") ?></p>
                            <p class="alignright"><?php esc_html_e('Developed by', 'cardealer'); ?>
                                <a target="_blank" href="http://webtemplatemasters.com">ThemeMakers</a>
                            </p>
                        </div>
                    </div><!--/ .row-->

                </div><!--/ .container-->

            </footer><!--/ #footer-->

            <!-- - - - - - - - - - - - - - - end Footer - - - - - - - - - - - - - - - - -->

        </div><!-- / .page-wrapper -->

    </div><!-- / .wrapper-inner -->
</div><!-- / .wrapper -->

<?php wp_footer(); ?>
</body>
</html>

